# ============================================================
#
# Copyright (C) 2014 by Johannes Wienke <jwienke at techfak dot uni-bielefeld dot de>
#
# This file may be licensed under the terms of the
# GNU Lesser General Public License Version 3 (the ``LGPL''),
# or (at your option) any later version.
#
# Software distributed under the License is distributed
# on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
# express or implied. See the LGPL for the specific language
# governing rights and limitations.
#
# You should have received a copy of the LGPL along with this
# program. If not, go to http://www.gnu.org/licenses/lgpl.html
# or write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The development of this software was supported by:
#   CoR-Lab, Research Institute for Cognition and Robotics
#     Bielefeld University
#
# ============================================================

from setuptools import setup, find_packages

# mark-start::setup-project
setup(name='buildsystemessentials',
      version='0.1.0',
      description='''
                  An exemplary python build
                  ''',
      author='Johannes Wienke',
      author_email='jwienke@techfak.uni-bielefeld.de',
      license='LGPLv3+',
      url='http://docs.cor-lab.org',
      keywords=['example'],
      classifiers=['Programming Language :: Python'],
      # mark-end::setup-project

      # mark-start::dependencies
      setup_requires=['setuptools-epydoc', 'nose>=1.3', 'coverage'],
      install_requires=['rsb-python'],
      # mark-end::dependencies

      # mark-start::packages
      packages=find_packages('src'),
      package_dir={'': 'src'},
      # mark-end::packages

      # mark-start::scripts
      entry_points={
          'console_scripts': [
                 'sendMagicNumber = buildsystemessentials.executable:sendMagicNumber',
              ]
      },
      # mark-end::scripts

      # mark-start::tests
      test_suite='nose.collector',
      # mark-end::tests
      )
